summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fridrich von Stauffenberg <cancellor2@gmail.com>2012-12-10 15:02:18 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:23:05 -0500
commit094ccb2e387c857119d0e2deac78d784c116a71a (patch)
tree71abb381d4ea1ad902dce83f58632a9e60fb283e
parente4cac820a2c96646d82d8c45f5f2802115b47372 (diff)
downloadslackbuilds-094ccb2e387c857119d0e2deac78d784c116a71a.tar.gz
slackbuilds-094ccb2e387c857119d0e2deac78d784c116a71a.tar.xz
system/openstego: Added (steganography tool).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/openstego/README26
-rw-r--r--system/openstego/doinst.sh3
-rw-r--r--system/openstego/openstego.SlackBuild67
-rw-r--r--system/openstego/openstego.desktop11
-rw-r--r--system/openstego/openstego.info10
-rw-r--r--system/openstego/openstego.pngbin0 -> 1747 bytes
-rw-r--r--system/openstego/openstego.sh2
-rw-r--r--system/openstego/slack-desc19
8 files changed, 138 insertions, 0 deletions
diff --git a/system/openstego/README b/system/openstego/README
new file mode 100644
index 0000000000..5f232531a4
--- /dev/null
+++ b/system/openstego/README
@@ -0,0 +1,26 @@
+OpenStego is a tool implemented in Java for generic steganography,
+with support for password-based encryption of the data.
+
+Features:
+
+ - OpenStego is written in pure Java and should run on all platforms
+ supported by java. It has been tested on MS Windows and Linux,
+ but should not have any problem on other platforms too. Please
+ report bugs if you find any.
+ - It supports password-based encryption of data for additional
+ layer of security. DES algorithm is used for data encryption,
+ along with MD5 hashing to derive the DES key from the password
+ provided.
+ - It uses a plugin based architecture, where various plugins can
+ be created for different kind of Steganographic algorithms.
+ Currently, it supports two plugins - LSB (Using Least Significant
+ Bit of Image Pixels) and RandomLSB (Randomized LSB), but new
+ plugins can be created for other algorithms like DCT, FFT, etc.
+ Plugins can also be easily added for other type of cover files
+ like Audio files.
+ - LSB plugins support only 24 bpp images. Support for additional
+ image formats (like BMP, TIF, etc.) could be added by installing
+ Java Advanced Imaging (JAI).
+ - LSB plugins also support generation of random images containing
+ noise to be used as cover file. The size of the generated random
+ image is the minimum possible size required to embed the given data.
diff --git a/system/openstego/doinst.sh b/system/openstego/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/openstego/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/openstego/openstego.SlackBuild b/system/openstego/openstego.SlackBuild
new file mode 100644
index 0000000000..fa248ba5b2
--- /dev/null
+++ b/system/openstego/openstego.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+# Slackware build script for OpenStego
+
+# Copyright 2012 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openstego
+VERSION=${VERSION:-0.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/$PRGNAM
+mv lib/$PRGNAM.jar $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$PRGNAM.sh > $PKG/usr/bin/$PRGNAM
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/openstego/openstego.desktop b/system/openstego/openstego.desktop
new file mode 100644
index 0000000000..7f34ea9797
--- /dev/null
+++ b/system/openstego/openstego.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Terminal=false
+Name=OpenStego
+GenericName=
+Comment=Steganography tool
+Icon=openstego
+Exec=openstego
+Categories=System;
+MimeType=
diff --git a/system/openstego/openstego.info b/system/openstego/openstego.info
new file mode 100644
index 0000000000..33c6a7ccd4
--- /dev/null
+++ b/system/openstego/openstego.info
@@ -0,0 +1,10 @@
+PRGNAM="openstego"
+VERSION="0.5.2"
+HOMEPAGE="http://openstego.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/openstego/openstego-0.5.2.zip"
+MD5SUM="fdaeb192c86e359cb2cdb24b6a68274c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
diff --git a/system/openstego/openstego.png b/system/openstego/openstego.png
new file mode 100644
index 0000000000..8f64ff961d
--- /dev/null
+++ b/system/openstego/openstego.png
Binary files differ
diff --git a/system/openstego/openstego.sh b/system/openstego/openstego.sh
new file mode 100644
index 0000000000..395074dae3
--- /dev/null
+++ b/system/openstego/openstego.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec java -Xmx512m -jar /usr/share/openstego/openstego.jar "$@"
diff --git a/system/openstego/slack-desc b/system/openstego/slack-desc
new file mode 100644
index 0000000000..9936263a99
--- /dev/null
+++ b/system/openstego/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openstego: openstego (the free steganography solution)
+openstego:
+openstego: OpenStego is a tool implemented in Java for generic steganography,
+openstego: with support for password-based encryption of the data.
+openstego:
+openstego: Homepage: http://openstego.sourceforge.net
+openstego:
+openstego:
+openstego:
+openstego:
+openstego: